
SET(NATIVE_BLAS_LAPACK_SEARCH_PATHS /usr/lib /usr/lib64 /usr/local/lib /usr/local/lib64 )

FIND_LIBRARY(NATIVE_BLAS NAMES blas PATHS ${NATIVE_BLAS_LAPACK_SEARCH_PATHS})

IF (NATIVE_BLAS)
  SET(NATIVE_BLAS_FOUND ON)
ENDIF (NATIVE_BLAS)

IF (NATIVE_BLAS_FOUND)
  IF (NOT NATIVE_BLAS_FIND_QUIETLY)
     MESSAGE(STATUS "Found Native Blas and Lapack")
  ENDIF (NOT NATIVE_BLAS_FIND_QUIETLY)
ELSE(NATIVE_BLAS_FOUND)
  IF (NATIVE_BLAS_FIND_REQUIRED)
     MESSAGE(FATAL_ERROR "Could not find Native blas and lapack libraries.")
  ENDIF (NATIVE_BLAS_FIND_REQUIRED)
ENDIF (NATIVE_BLAS_FOUND)

MARK_AS_ADVANCED(NATIVE_BLAS)

